Introduction to HttpWatch® 4.0

HttpWatch integrates with Internet Explorer to provide unrivalled levels of HTTP monitoring, without the need for separately configured proxies or network sniffers. Simply interact with a web site and HttpWatch will display a log of requests and responses alongside the web page itself. It even shows interactions between Internet Explorer and the browser cache. Each HTTP transaction can be examined to see the values of headers, cookies, query strings and other HTTP related data.

Commercial web sites often use technologies such as HTTP compression, SSL encryption and chunked encoding to provide the best levels of security and performance. HttpWatch works with these technologies to provided a detail view of HTTP activity within Internet Explorer.

HttpWatch has two components; a plug-in used to collect, view and save HTTP traffic within IE and a standalone log file viewer know as HttpWatch Studio.

Two editions of HttpWatch are now available:

  • HttpWatch Basic Edition - a free download that can be used by anyone to view basic HTTP/HTTPS information and record trace files
  • HttpWatch Professional Edition - the full unrestricted version of HttpWatch that shows detailed HTTP/HTTPS information for any URL and can be used to view trace files from HttpWatch Basic Edition

See Also:

Getting Started
What's New
Ordering Information

HttpWatch © 2006 Simtec Limited


Getting Started

You can display the HttpWatch plug-in in the lower part of the Internet Explorer window by either clicking on the toolbar button shown here:

Or by selecting it from the View menu:

If neither of these options is available please restart Windows and try again.

Once you have HttpWatch displayed in Internet Explorer, as shown below, press the Record button to start recording HTTP requests.

If you are using the free Basic Edition then extended HTTP information is only displayed for a number of well known web sites including:

www.amazon.com
www.ebay.com
www.google.com
www.microsoft.com
www.slashdot.org
www.yahoo.com

HttpWatch includes an offline log file viewer known as HttpWatch Studio. It can be started from the HttpWatch program group under the Start menu or by double clicking on a .hwl file.

See Also:

Ordering Information


What's New in HttpWatch 4.0

The following features have been added since version 3.2:

HttpWatch Studio

A standalone log file viewer is now installed with HttpWatch:

Basic & Professional Editions

A free, restricted form of HttpWatch called HttpWatch Basic Edition is now available. See Basic vs Professional Edition for more information.

Filtering Actions

The filter can now be used to hide, highlight or discard entries in the log:

Extended Cookie Information

Domain, path and expiration dates are displayed for cookies being sent in the HTTP request. In previous versions (before 4.0.39) this information was only displayed for cookies received in the HTTP response message:

Keyboard shortcuts

Keyboard shortcuts are now available for all the main operations in the IE plug-in, e.g. Record, Stop, Save, etc...(version 4.0.42 onwards):

UTF-8 Support

UTF-8 encoded content and URLs are now supported by HttpWatch (version 4.0.42 onwards):

Sorting

Data grids in HttpWatch can now be sorted by clicking on a column heading (version 4.0.52 onwards). An arrow in the column heading indicates the sort order:

Send by Email

HttpWatch log files can be sent directly as an email attachment using the 'Send by Email' menu item in HttpWatch Studio and the plug-in for Internet Explorer (version 4.0.53 onwards)

See Also:

Getting Started
Version History


Version History

Version 4.0.54

  • Fixed: an 'invalid vector<T> subscript' error could be displayed when exporting chunked content to an XML file

Version 4.0.53

  • New: log files can be sent directly as an email attachment using the 'Send by Email' menu item in HttpWatch Studio and the plug-in for IE
  • Fixed: an 'invalid vector<T> subscript' error could be displayed when changing the filter method from Hide to Highlight

Version 4.0.52

  • New: data grids can now be sorted by clicking on a column heading
  • New: a 'Check for Updates' menu item has been added to the help menu
  • Fixed: the Ctrl+C keyboard accelerator now works correctly in HttpWatch Studio

Version 4.0.42

  • New: keyboard shortcuts for most actions (e.g. Record, Stop, Save, etc...) are now available in the plug-in for IE
  • New: UTF-8 encoded text is now displayed in the Content Tab
  • New: Added 'Next Highlight' and 'Previous Highlight' items on the filter menu to step between highlighted entries in the log.
  • Fixed: changing the filter in some cases did not update the list of entries displayed in the log

Version 4.0.39

  • New: Domain, path and expiration dates are now displayed for cookies being sent in the HTTP request. In previous versions this information was only displayed for cookies received in the HTTP response message.
  • Fixed: UTF-8 encoded URLs are now supported in HttpWatch

Version 4.0.32

  • New: HttpWatch can now be installed from batch files, on the command line or from automated tools like SMS (See 'Silent Install' in the online-help)
  • New: added gmail.com, google.de and google.fr to list of allowed domains in HttpWatch Basic Edition
  • Fixed: SSL streams could occasionally be truncated in IE 7 Beta 2.
  • Fixed: an access violation could occur if no item was selected while recording a log file

Version 4.0.26

  • Fixed: HttpWatch now works with IE 7 Beta 2

Version 4.0.25

  • Fixed: user settings are now stored in the correct registry location
  • Fixed: a trailing line in the license file could cause the error 'Failed to read line 42 containing "'

Version 4.0

  • New: a standalone log file viewer known as HttpWatch Studio is now installed with HttpWatch
  • New: the filter can now hide, highlight or discard items based on a set of filter criteria
  • New: there is now a free version called HttpWatch Basic Edition that can be used to record trace files for viewing in HttpWatch Professional Edition. More detail...

See Also:

Getting Started
What's New


Plug-in for Internet Explorer

Using the HttpWatch Plug-in

When HttpWatch is installed, it adds a plug-in to Internet Explorer that can be used to record and view HTTP requests. The plug-in window can be opened by clicking on the HttpWatch toolbar icon (see Getting Started ).

The HttpWatch plug-in window consists of three sections:

Toolbar

The toolbar is displayed at the top of the window and contains buttons that are used to control HttpWatch. For more information see Toolbar Buttons.

Request Grid

This displays a scrollable list of HTTP requests that have been recorded by HttpWatch. For more information see Requests Grid.

Request View

Selecting an item in the requests grid causes the lower part of the HttpWatch window to display detailed information about that item. The size of this region can be adjust by dragging the horizontal line that separates it from the requests grid. For more information see Request View.

Recording HTTP requests with HttpWatch

The basic steps required to control logging are as follows:

  1. In Internet Explorer open the HttpWatch window by clicking on the toolbar icon or selecting it from the menu (See Getting Started).
  2. Click the Record button to start recording HTTP requests.
  3. Use Internet Explorer to interact with the web site you want to examine. Whilst doing this, you can close the HttpWatch window and it will carry on logging requests in the background.
  4. Individual requests can be viewed by selecting them in the request grid.
  5. The log can be emptied using the Clear button or logging can be halted with the Stop button.

You can avoid logging certain types of requests by using the filter. For example, if you are only interested in the pages returned by a site and not the images you would do the following:

  1. Open the Filter dialog by clicking on the Filter button.
  2. Enable filtering by clicking on the Enable filtering check box
  3. Control the type of HTTP request that is logged by clicking on the Content is: check box and clicking on the first check box marked text/html.

This will restrict HttpWatch to only recording HTTP requests that return HTML content. For more information see Using the Filter.

Saving the Log

The Save button in HttpWatch allows the log to be saved as a .hwl file and loaded into HttpWatch Studio at a later date (See Save button ). The log can also be exported as an XML or CSV file.


Plug-in Toolbar Buttons

The main toolbar is used to control HttpWatch and contains the following buttons:

  • Record
  • Stop
  • Clear
  • Filter
  • Copy
  • Save
  • License


Record Button

Record

Clicking this button will start recording requests in the HttpWatch.

See Also:

Stop


Stop Button

Stop

Clicking this button will stop requests being logged.

See Also:

Record


Clear Button

Clear

Clicking this button clears the contents of the log.

See Also:

Record


Filter Button

Filter

Clicking this button will open the Filter dialog and allow requests to be filtered by content type.

See Also:

Using the Filter


Copy Button

Copy

Clicking this button copies the currently selected items from the log to the clipboard in Excel format. Multiple entries in the log can be selected by holding down the Shift or Ctrl keys when clicking on items, or by pressing Ctrl + A to select all entries. Also, any item of data can be individually copied to the clipboard by right clicking on it and using the context menu to copy a single cell, row or whole grid.

See Also:

Save


Save Button

Save

Clicking this item saves the complete log to an HttpWatch log file (.hwl). The Open using HttpWatch Studio checkbox can be used to automatically load the log file into the HttpWatch Studio after it has been saved.

The arrow on the toolbar next to this button provides access to Export to CSV... , Export to XML... and Send by Email...

HttpWatch log files can be reopened using File->Open in HttpWatch Studio or by double clicking on a .hwl file.

If you are using HttpWatch Professional Edition, the files you save can be viewed in HttpWatch Basic Edition and you can view the complete contents of files saved in HttpWatch Basic Edition. For more information about transferring log files please see Basic vs Professional Edition.

See Also:

Copy


License Button

License

Click this button to enter your HttpWatch license code.

See Also:

Ordering Information


Using Keyboard Shortcuts

Using keyboard shortcuts in HttpWatch Plug-in for IE

To do this | Press this
Start recording | Ctrl+F2
Stop recording | Ctrl+F3
Clear all requests | Ctrl+Del
Open Filter dialog | Ctrl+F6
Turn on filter | Ctrl+F7
Turn off filter | Ctrl+F8
Previous highlight | Ctrl+Up Arrow
Next highlight | Ctrl+Down Arrow
Save | Ctrl+S
Export to XML | Ctrl+Shift+X
Export to CSV | Ctrl+Shift+C


HttpWatch Studio

Using HttpWatch Studio

HttpWatch Studio is a standalone viewer for HttpWatch files. It can be started from the Windows Start menu under the HttpWatch program group or by double clicking on a .hwl file.

The HttpWatch Studio window consists of four sections:

Menu

The toolbar is displayed at the top of the window and contains buttons that are used to control HttpWatch Studio. For more information see Menus.

Toolbar

The toolbar is displayed at the top of the window and contains buttons that are used to control HttpWatch Studio. For more information see Toolbar Buttons.

Request Grid

This displays a scrollable list of HTTP requests that have been recorded by HttpWatch. For more information see Requests Grid.

Request View

Selecting an item in the requests grid causes the lower part of the HttpWatch window to display detailed information about that item. The size of this region can be adjust by dragging the horizontal line that separates it from the requests grid. For more information see Request View.


HttpWatch Studio Menus

This following menus are displayed in HttpWatch Studio:

File menu

Edit menu

View menu

Window menu

Help menu


File Menu

The File menu offers the following commands:

Open | Opens an existing HttpWatch log file.
Close | Closes an opened log file.
Save | Saves an opened log file using the same file name.
Save As... | Saves an opened log file to a specified file name.
Send by Email | Sends the current log file as an email attachment
Export to XML | Exports an opened log to an XML file
Export to CSV | Exports an opened log to a CSV file
License... | Used to re-install license key
Exit | Exits HttpWatch Studio


Edit Menu

The Edit menu offers the following commands:

Copy | Opens the selected items to the clipboard.
Filter... | Opens the filter dialog.
Filter On | Enabled filtering
Filter Off | Disables filtering


View Menu

The View menu offers the following commands:

Toolbar | Hides/Shows the toolbar
Status Bar | Hides/Shows the status bar


Window Menu

The Window menu offers the following commands:

Cascade | Arranges windows in an overlapped fashion.
Tile | Arranges windows in non-overlapped tiles
Window 1, 2, ... | Goes to specified window.


Help Menu

The Window menu offers the following commands:

Help Topics | Offers you an index to topics on which you can get help.
What is HttpWatch Studio | Displays a description of HttpWatch Studio
Basic Vs Professional Edition | Displays a comparison of HttpWatch Basic and Professional Editions
HTTP Gallery | Opens the gallery of HTTP samples from http://www.httpwatch.com/httpgallery/
Send Feedback | Opens the feedback & feature request page at http://www.httpwatch.com/feedback/
Check for Updates | Checks for new versions of HttpWatch at http://www.httpwatch.com/
About | Displays version information


Studio Toolbar Buttons

HttpWatch Studio Toolbar Buttons

The main toolbar is used to control HttpWatch and contains the following buttons:

  • Open
  • Save
  • Filter
  • Copy
  • License


Open Button

Open

Clicking this item opens an HttpWatch log file (.hwl) in HttpWatch Studio.

See Also:

Save


Using HttpWatch

This section describes how to use and configure HttpWatch:

HttpWatch User Interface

Using the Filter

Configuring Content Editors

Working with SAP URLs

Silent Install of HttpWatch


HttpWatch User Interface

User Interface

The HttpWatch user interface in HttpWatch Studio and the plug-in for Internet Explorer have three main sections:

1. Toolbar

The toolbar is displayed at the top of the window and contains buttons that are used to control HttpWatch. For more information see Toolbar Buttons.

2. Request Grid

This displays a scrollable list of HTTP requests that have been recorded by HttpWatch. For more information see Requests Grid.

3. Request View

Selecting an item in the requests grid causes the lower part of the HttpWatch window to display detailed information about that item. The size of this region can be adjust by dragging the horizontal line that separates it from the requests grid. For more information see Request View.


Request Grid

The upper part of the HttpWatch window displays a scrollable list of captured HTTP requests and is automatically updated in the HttpWatch plug-in for IE as you access a web site. Clicking on a column heading will cause the data to be sorted in ascending order based on data in that column. A second click on the same column will reverse the sort order and display the data in descending order.

Details of the currently selected item are displayed in the request view.

The following columns are available in the request grid:

Started

The time at which the request was started by Internet Explorer. This is an offset in hours, minutes and seconds from the first entry in the log.

Time

The time in seconds to complete the request. This is measured from when Internet Explorer first started processing the request until the last byte of data is read from the response.

Size

This is total number of bytes downloaded by Internet Explorer while reading the HTTP response and includes both the size of the HTTP headers and content. If you are tuning a web application you should try to minimize this value. For commonly encountered result values you can interpret this value as follows:

200

For an HTTP OK response this value is the size of HTTP response headers and content. If the content is compressed then this value will be the size of the compressed content plus the size of the uncompressed headers (the headers are never compressed). Also, when SSL encryption is used this value will be the encrypted size of the HTTP headers and content and will generally be slightly larger than a unencrypted version of the same request. To see more detail about the size of the content and compression savings achieved click on the Content Tab.

304

The value will be the size of the headers returned (304 responses never return content)

(Cache)

The value will always be zero because no HTTP request was sent to the server

Method

The HTTP method that was used when the request was sent.

Result

If the request was successful then the HTTP status code will be shown here, e.g. 200 for OK, 404 for page not found, 403 permission denied or 304 if a requested resource has not been modified. In cases where the content was read from the cache without contacting the HTTP server, this column contains '(Cache)'.

The value 'Aborted' in this column indicates that Internet Explorer cancelled the HTTP operation before it completed. This can occur if images are being downloaded when you click on a link to a different page.

Type

This shows the content's mime type for successful requests or the target URL for HTTP redirects.

URL

The address of the web content being accessed, e.g. http://www.microsoft.com/default.asp. HttpWatch can reformat SAP portal URLs into an easier to read format. See for Working with SAP URLs more details.

See Also:

Request View


Request View

The lower part of the HttpWatch window displays information about the item that is currently selected in the request grid.

The following tabs are available:

  • Summary
  • Headers
  • Cookies
  • Cache
  • Query String
  • POST Data
  • Content
  • Stream

In HttpWatch Basic Edition this information will only be displayed for requests to the following domain names - amazon.com, ebay.com, google.com, microsoft.com, slashdot.org or yahoo.com

See Also:

HttpWatch Window

Request Grid


Summary

The actions listed on this tab provide a breakdown of the operations required to process the selected requested:

Display URL

This action indicates that Internet Explorer started processing a URL request and will complete the request in one of three ways:

  • If a suitable entry exists in the browser cache, it will be used directly and the Result column will show (Cache).
  • If a cache entry exists but has expired or has no expiration date, Internet Explorer will send a GET request with an If-Modified-Since header.
  • If there is no entry in the browser cache, then an unconditional HTTP GET request will be sent.

Resync URL

Internet Explorer started a refresh operation because the user pressed F5 or clicked on the Refresh toolbar icon. This will be processed in one of two ways:

  • If there is an entry in the browser cache it will be validated using an If-Modified-Since header regardless of any expiration date that has been previously set.
  • If no entry exists in the browser cache, an unconditional HTTP GET request will be sent.

Get Latest

Internet Explorer is performing a forced update operation, typically due to the user pressing Ctrl + F5. This is always processed as unconditional GET or POST request.

Submit Form

This is usually the result of an HTML form being submitted and causes an HTTP POST to be sent to the web server.

Started At

This action shows the date and time at which Internet Explorer started to process the HTTP transaction. The request may not be immediately sent out on the network due to the following factors:

  • The request will be blocked if there are too many outstanding requests to the same server or proxy. Internet Explorer uses a default setting of 2 or less concurrent requests per server (as specified in the HTTP 1.1 spec). It is often this delay that is the most significant factor for the time taken to retrieve an image.
  • The host name may need to be resolved into an IP address see DNS Lookup below.
  • A new connection may be required if an existing connection cannot be reused.

DNS Lookup

Internet Explorer is resolving a hostname, such as www.microsoft.com, into an IP address, e.g. 207.46.244.188, prior to attempting a connection to the web server .

Connect

This value indicates that Internet Explorer requires a new TCP connection to the server.

HTTP Request

This shows that an HTTP request that was sent over the network to the server.

HTTP Response

This shows that an HTTP response was received from the web server

Read Cache

This action can occur in three situations:

  1. The browser sent an If-Modified-Since header and received a 304 Not Modified response. The content would then be read from the cache because the 304 response indicates that it is still valid. The Content-Length header in the response will always be zero or absent because the HTTP 1.1 spec defines the 304 status code as never returning content.
  2. The browser decided not to send a HTTP GET request because there is an entry in the browser cache that either has a valid expiration date or has been recently checked. The Result column will show (Cache) in these cases.
  3. Internet Explorer is in 'Work Offline' mode

See Also:

HttpWatch Window
Request Grid


Headers

This tab shows the headers that were sent to and received from the web server. The size of the two lists can be adjusted by dragging the vertical line that separates them.

Headers Sent

The left hand list shows the headers that were sent in the HTTP request. The entry named (Request-Line) is the first line of the HTTP request and contains the HTTP method, HTTP version and URL sub path, e.g.

GET /library/index.htm HTTP/1.1

Headers Received

The right hand list shows the headers that were received in the HTTP response. The entry named (Status-Line) is the first line of the HTTP response and contains the HTTP status code, version and description, e.g.

HTTP/1.1 200 OK


Cookies

This tab shows the cookies that were used by the request. The columns displayed are:

Cookie Name

The unescaped name of the cookie.

Direction

Indicates whether the cookie value was sent or received.

Value

This shows the unescaped value of the cookie.

Path

This is the path on the web site to which the cookie applies.

Domain

This shows the domain or host name to which this cookie belongs, e.g. .google.com or www.google.com.

Expires

The date/time when the cookie expires, e.g. Sun, 17-Jan-2038 19:14:07 GMT. The value (Session) indicates that this is a session cookie that will be deleted when the browser is closed.


Cache

This shows details of the URL's entry in the browser cache both before and after the request was completed. The following data items are displayed:

URL in cache?

This indicates whether the currently selected item has an entry in the browser cache.

Expires

The date/time when the cache entry will expire. The web server can specify this using the Expires header.

Last Modification

This is the modification date returned by the server in the Last-Modified header when the cache item was stored or updated.

Last Cache Update

This is the date/time when this cache entry was last updated.

Last Access

This is the date/time when the content was last read from the cache

ETag

An ETag is an opaque string that is used to uniquely identity an entity on a server. It provides a finer level of control than Last-Modified and is used by the browser in If-None-Match request headers.

Hit Count

The number of times that the browser has read content from this cache entry.

See Also:

HttpWatch Window
Request Grid


Query String

Query strings are used to pass parameters in the URL with the following encoding format:

...?name1=value1&name2=value2&...

HttpWatch displays a scrollable list of the unescaped names and values from the currently selected URL.


POST Data

This tab displays the parameter names and values contained in the POST, and the mime type used to encode them. The actual low level format of an HTTP POST request can be viewed in the Stream tab.

Most POST requests use one of the following mime types:

application/x-www-form-urlencoded

This is the same format as a query string, but the string is passed in the request body rather than the URL.

multipart/form-data

This passes the raw, unescaped data in the the POST body by using a marker to define the data boundaries.


Content

This tab displays the content that was received in the HTTP response. The following controls are used:

Content Description

The text displayed above the content shows the mime type, the total size in bytes and whether the content was downloaded from the web server or read from the browser cache. If HTTP compression was used, then the description includes the compression type, the compressed sized and the savings achieved. For example, this description:

text/html : 42551 bytes, gzip compressed to 10167 bytes ( 76.1 % saving )

applies to an HTML page that was compressed using the gzip algorithm

Border

For graphical content this button can be used to add a black border around the image.

Edit

The edit button will open the content using an application that has been registered for this type of content. For more information see Configuring Content Editors.

Find

This button opens a find dialog that searches through textual content.

Export

The content can be written out to a file using the Export button.

Content Display

The rectangular window, below the buttons and description, displays the content and automatically switches between graphics and text.


Stream

This shows the raw data streams that were sent to and received from the web server. The size of the two windows can be adjusted by dragging the vertical line that separates them.

Stream Sent

The left hand side of the tab the shows the contents of the the request stream, the size of the stream and the network address to which it was sent. For example:

435 bytes sent to 127.0.0.1:80

indicates that that the HTTP request was 435 bytes long and was sent to port 80 at the IP address 127.0.0.1. If https (SSL) was used then the encrypted size of the stream is also shown, e.g.:

435 bytes (456 encrypted) sent to 127.0.0.1:443

Stream Received

The right hand side shows the response stream, the size of the stream and the network address on which it was received. On sites that use chunked transfer encoding, the number of chunks in the response is displayed:

54352 bytes received by 127.0.0.1:2354 in 21 chunks


Using the Filter

The filter can be used to prevent certain HTTP requests, such as images or style sheets, being added to the log. The filter icon on the toolbar changes to indicate whether filtering is enabled:

Filtering Off - All HTTP requests will be logged and recorded by HttpWatch

Filtering On - Only HTTP requests that match the filtering conditions will be recorded

The following filtering controls are available:

Enable Filtering

This check box is used to quickly enable and disable filtering. If you disable filtering, your filter conditions are saved and can be quickly reapplied by re-enabling the filter.

Conditions

Content is:

Select one or more of the following content types to be logged in HttpWatch:

text/html | Normal html based content
text/css | Cascading style sheets
text/xml | XML data, e.g. SOAP requests and responses
text/* | Any textual content type including all the above types
image/gif | GIF image
image/jpg | JPEG image
image/* | Any image including gifs, jpgs and png files
application/x-javascript | Javascript
application/* | Any application content, e.g. flash files (application/x-shockwave-flash)

Result is:

Select one or more of the following values that appear in the Result column of the HttpWatch log:

200 | OK/Success status code
302 | Moved temporarily status code
304 | Not modified status code
401 | Access denied status code
404 | Page or file not found
Aborted | Internet Explorer aborted the HTTP request before a response was received
(Cache) | Content read from cache without sending an HTTP request to the server
ERROR_* | An error occurred such as ERROR_INTERNET_NAME_NOT_RESOLVED
2xx | Successful HTTP status code
3xx | Redirection HTTP status code
4xx | Client error HTTP status code
5xx | Server error HTTP status code

URL contains:

Enter a sub string to match against the URL.

Request headers contain:

Enter a sub string to match against the request headers.

Response headers contain:

Enter a sub string to match against the response headers.

Content contains:

Enter a sub string to match against the returned content. For example, entering '<table' would log HTTP responses that contained HTML table tags.

Filter Options

Action to perform on filtered items

Three different actions can be performed using the filter:

  • Hide - items that do not match the filter criteria are hidden but not lost. They can be displayed again at any time by turning off the filter.

  • Highlight - items matching the filter criteria are shown in bold. You can go from one highlighted item to the next by using the 'Next Highlight' and 'Previous Highlight' items on the filter menu (or by using Ctrl + Up Arrow or Ctrl+ Down Arrow )

  • Discard - items that do not match the filter criteria are discarded and cannot be retrieved at a later time.

For each of these options, the filter can be inverted by changing the Match/Don't Match radio buttons (see below)

Apply filter action to items that Match / Don't Match

You can control the behaviour of the filter by specifying whether the filtering action (i.e. Hide, Highlight or Discard) should be applied to items that match or do not match the filter conditions. The filter is effectively inverted by changing the value of Match / Don't Match.

Combine conditions using And/Or

These radio buttons control what happens if you have selected more than one filter condition. Selecting AND means that all conditions must be met for a request to be logged, whereas selecting OR means that any of the conditions can cause a request to be logged.

Reset

If you need to clear all the settings in the filter dialog you can do this using the Reset button. The cleared filter will only be saved if you then click on OK.


Configuring Content Editors

The Content Edit Button

The edit button on the Content tab tries to locate a suitable program to open the content data. It does this by:

  1. Looking for an 'Edit From HttpWatch' verb associated with the file type. This overrides any other settings and is used to open the content.
  2. HttpWatch looks for the standard Edit verb and uses that to open the content.
  3. If there is no Edit verb, then HttpWatch attempts to use the Open verb for the file type.

Generally, you would want HttpWatch to use the standard editing application (step 2) and only use the 'Edit from HttpWatch' verb (step 1) in cases where you wanted HttpWatch to use a different application.

Amending or Creating an Edit association

You can create or amend an Edit verb association by:

  1. Open Windows Explorer and go to Tools->Folder Options on the menu
  2. Then click on the File Type tab
  3. Find the type of file (e.g. .js for JavaScript) in the list and click on Advanced
  4. You can then change an existing Edit association or add one.

Creating an 'Edit from HttpWatch' association

You can create an 'Edit from HttpWatch' verb association by:

  1. Open Windows Explorer and go to Tools->Folder Options on the menu
  2. Then click on the File Type tab
  3. Find the type of file (e.g. .js for JavaScript) in the list and click on Advanced
  4. Click on New... and enter 'Edit From HttpWatch' in the Action field.
  5. Enter the application to use in the Application used to perform action field
  6. If you want to prevent this custom action from appearing in context menus, you will need to add a registry value named 'Extended' into the file association key as shown below:


Working with SAP URLs

Some SAP portal applications use URLs with the following format:

http://hostname/sap( really_long_session_id )/rest_of_the_url

The session id may be hundreds of characters long, making it very difficult to distinguish one URL from another. HttpWatch can improve the readability of these URLs by replacing the long session id with '...' for display purposes. The original, long form of the URL is still recorded and can be view by saving the log to a file (See Save Button ).

This feature can be enabled by creating a DWORD registry value called FormatSAPPortalUrl in HKEY_CURRENT_USER\Software\Simtec Limited\HttpWatch and setting it to 1. As shown below:


Silent Install

Silent Install of HttpWatch

Command Line Arguments

HttpWatch can be installed from batch files, on the command line or from automated tools like SMS by supplying command line arguments to the setup program:

   httpwatchpro /S [/D=<install_dir>] [/errorpath=...] [/license=...]

The command line options are as follows:

/S | This causes the setup program to run with no GUI and to require no interaction.
/D | The default install directory can be changed using this flag. e.g. /D=c:\program files\networktools\httpwatch
/errorpath | This specifies where files containing error information should be written. If this option is not specified the files will be written to the directory containing the setup program. Example: /errorpath=c:\temp
/license | This sets the file name of the HttpWatch Professional edition license. Use the value '[installed]' to use an existing, installed license. Here are some examples /license=httpwatch.lic /license=D:\temp\httpwatch.lic /license=\\server1\share1\httpwatch.lic /license=[installed]

(All command line flags are case sensitive)

Detecting Errors

If an error occurs during a silent install no message box or dialogs are displayed. The setup program will have a non zero exit code and one of the following files will be written:

httpwatch_reboot.txt | This indicates that the setup requires a reboot to complete
httpwatch_error.txt | This file is written if the setup program could not complete, e.g. the destination directory is not writable.

The directory, in which these files are written, can be controlled using the /errorpath command line flag.

When the setup program completes successfully it will have an exit code of zero and no error files are written.

To run directly from the command line or in a batch file, you will need to use the Windows Start command to wait for the setup program to complete, e.g.

start /wait httpwatchpro /S /license=[installed]


Basic vs Professional Edition

HttpWatch Professional Edition vs HttpWatch Basic Edition

This table shows the difference between the HttpWatch Basic and Professional Editions:

 | HttpWatch Basic Edition | HttpWatch Professional Edition
Description | Demonstrates the capabilities of HttpWatch Professional and can be used to exchange HTTP log files with your customers and suppliers | The full unrestricted version of HttpWatch that can be used to view HTTP log files collected with the free Basic Edition.
Plug-in for Internet Explorer |  |
Standalone log file viewer |  |
Shows HTTPS requests |  |
Handles HTTP compression |  |
Supports HTTP compression |  |
Exports to XML and CSV | For restricted set of URLs only1 |
Displays basic HTTP information including URLs, status codes, response size, mime type & time |  |
Displays detailed HTTP information including headers, cookies, streams, etc... | For restricted set of URLs only1 |
Saves full trace file |  |
Loads and displays trace files from HttpWatch Professional Edition |  |
Loads and displays trace files from HttpWatch Basic Edition | Detailed information only displayed for certain URLs1 |
Price | Free | From $249

1 Certain functions in HttpWatch Basic Edition are restricted to the following set of well known domains - amazon.com, ebay.com, google.com, httpwatch.com, microsoft.com & slashdot.org


Ordering Information

You can purchase an HttpWatch Professional license from:

http://www.httpwatch.com/buy

After placing your order, a license key file will be sent to you as an email attachment. Ycou can then download and install HttpWatch Professional Edition from http://www.httpwatch.com/customerdownload .

See Also:

Introduction


Support

For technical questions, to report problems or to suggest improvements please contact us at:
Web:
 www.httpwatch.com/support/
Email:
 support@simtec.ltd.uk
Phone:
 877 537 9407
+44 870 199 4689


System Requirements

HttpWatch runs on the following systems:

Operating System: | Windows 2000, Windows XP or Windows 2003 Server
Internet Explorer: | 6 or 7 (Beta 2)
Disk Space: | 5 MB


Copyright

Copyright Notice

All material in HttpWatch is © Copyright 2006 Simtec Limited unless specifically noted otherwise.

Trademarks

HttpWatch is a trademark of Simtec Limited. Windows and Internet Explorer are registered trademarks of Microsoft Corporation. Other company, product and brand names are trademarks of their respective owners. Any rights not expressly granted herein are reserved.


About button

About

Clicking this button will display version information for HttpWatch.

See Also:

Ordering Information


Upgrade Button

Upgrade

Clicking this button will open a web browser window and navigate to http://www.httpwatch.com/buy where you upgrade to HttpWatch Professional.

See Also:

HttpWatch Professional Edition vs HttpWatch Basic Edition
Ordering Information


Export to CSV

Clicking on this item copies the complete log to a comma separated (.CSV) The Open using registered application checkbox can be used to automatically load the log file into the default application, e.g. Microsoft Excel for CSV

The fields stored in the CSV file are the columns displayed in the request grid, followed by the After Request values from the Cache tab and two columns showing whether compression was used and the savings achieved.

See Also:

Copy
Export to XML
Save


Export to XML

Clicking this item copies the complete log to an XML format file. The Open using registered application checkbox can be used to automatically load the log file into the default application, e.g. Microsoft Internet Explorer for XML.

The XML format log file saves all the information displayed by HttpWatch including the request grid and request view . A schema file describing the XML format used is available either in the HttpWatch application directory (e.g. c:\program files\httpwatch\log.xsd ) or http://www.simtec.ltd.uk/xml/log/3.2/log.xsd .

See Also:

Copy
Export to CSV
Save


Send by Email

Clicking on this item sends the complete log as an email attachment using the default email client (e.g. Outlook ).

See Also:

Copy
Export to XML
Save